Subject: Re: [T2TRG] changes to richardson-t2trg-idevid-considerations

From: Carsten Bormann <[email-masked]>
Date: Sun, 11 Apr 2021 22:43:43 +0200

I finally managed to have a look at -03.
(Hey, I should be doing AUTH48, too :-)

# Comments

I still think that any discussion of TrAncs/Identities needs to be accompanied by a discussion of the authorizations associated with them.  Many of the keys that are discussed are implicitly tied to a specific authorization (e.g., second-level bootloader).  But where keys can be added/removed (and not just replaced), it is very important that they are added with the right authorizations.
E.g., section 3 discusses type of TrAncs, but in terms of their protection, not in terms of their semantics/the authorization implied by a proof of their possession.

Do we want to discuss Roots of Trust?  And their relationship to Identities?

We probably want to introduce a term such as “shielded” for keeping keys under special protection.

The whole issue of time-limited certificates vs. device lifetimes probably needs more discussion (as well as recovery strategies).

Involuntary ownership transfers should at least be mentioned.

A key can have more than one cert (e.g., intro to Section 4).

The issue of lack of (reliable real-time) communication between the manufacturing environment and the initial device owner (“manufacturer”) probably needs some discussion (and some more motivation, as it tends to keep people in an incredulous state of mind).

The term “birth certificate” is a nice pun; can we use it some more?

# Minor

I didn’t check whether this statement is strictly true:

           The device identity certificate is also
           used to sign Evidence by an Attesting Environment (see
           [I-D.ietf-rats-architecture]).

(i.e., no other key can be used than that of the device identity certificate).

This is also an example for a regression where “certificate” is used but “private key associated with the public key of the certificate” is meant.  I understand that this lends some brevity, but identifying “the policeman that investigates a murder” by “the killer” also is shorter.

ISO 14000 is a family of standards related to environmental management that exists to help organizations minimize how their operations negatively affect the environment; comply with applicable laws, regulations, and other environmentally oriented requirements; and continually improve in the above [Wikipedia].
(Did you mean ISO 27000?)

Should we have a term for “private or symmetric key”?  “Secret key” maybe?
(OK, that is often used as synonym for “private key” that doesn’t alliterate with “public key”.)

# Nits

There are a few references that probably would benefit from anchoring them in the text:

[pelionfcu]
[nistsp800-57]
[JTAGieee]
[rootkeyrollover]

Having some references for TPM would help.
As would a brief discussion of secured vs. measured boot.

Some boring nits are in PR https://github.com/mcr/idevid-security-considerations/pull/3 .

Grüße, Carsten